Arbor 3: FSM & BT Graph Editor 3.7.1

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRigidbody Class Reference

Class to handle a flexible Rigidbody type reference method there is more than one. More...

Inheritance diagram for FlexibleRigidbody:

## Public Member Functions
| FlexibleRigidbody ()
| FlexibleRigidbody default constructor More...
| FlexibleRigidbody (Rigidbody value)
| FlexibleRigidbody constructor More...
| FlexibleRigidbody (RigidbodyParameterReference parameter)
| FlexibleRigidbody constructor More...
| FlexibleRigidbody (InputSlotRigidbody slot)
| FlexibleRigidbody constructor More...
| FlexibleRigidbody (FlexibleHierarchyType hierarchyType)
| FlexibleRigidbody constructor. More...

## Static Public Member Functions
static | operator Rigidbody (FlexibleRigidbody flexible)
| Cast FlexibleRigidbody to Rigidbody. More...
static | operator FlexibleRigidbody (Rigidbody value)
| Cast Rigidbody to FlexibleRigidbody. More...

## Detailed Description

Class to handle a flexible Rigidbody type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleRigidbody() [1/5]

FlexibleRigidbody | ( |  | ) |

FlexibleRigidbody default constructor

## ◆ FlexibleRigidbody() [2/5]

FlexibleRigidbody | ( | Rigidbody | value | ) |

FlexibleRigidbody constructor

Parameters

  value | Value

## ◆ FlexibleRigidbody() [3/5]

FlexibleRigidbody | ( | RigidbodyParameterReference | parameter | ) |

FlexibleRigidbody constructor

Parameters

  parameter | Parameter

## ◆ FlexibleRigidbody() [4/5]

FlexibleRigidbody | ( | InputSlotRigidbody | slot | ) |

FlexibleRigidbody constructor

Parameters

  slot | Slot

## ◆ FlexibleRigidbody() [5/5]

FlexibleRigidbody | ( | FlexibleHierarchyType | hierarchyType | ) |

FlexibleRigidbody constructor.

Parameters

  hierarchyType | Hierarchy type of referenced object

## Member Function Documentation

## ◆ operator FlexibleRigidbody()

static operator FlexibleRigidbody | ( | Rigidbody | value | ) |
| explicit static

Cast Rigidbody to FlexibleRigidbody.

Parameters

  value | Rigidbody

## ◆ operator Rigidbody()

static operator Rigidbody | ( | FlexibleRigidbody | flexible | ) |
| explicit static

Cast FlexibleRigidbody to Rigidbody.

Parameters

  flexible | FlexibleRigidbody